/*
 * main.c
 *
 *  Created on: Apr 25, 2015
 *      Author: mari
 */
#include <stm32f4xx.h>
#include <systick.h>
//#include <arm_math.h>
#include <stm32-gpio-macros.h>
#include <system_stm32f4xx.h>
#include <stdlib.h>
#include <string.h>
#include <adc-meas.h>

static void setup_nvic_priorities()
{
	/* No sub priorities */
	NVIC_SetPriorityGrouping(2);

	/* Setup Priorities */
	NVIC_SetPriority(ADC_IRQn, 1);
	NVIC_SetPriority(DMA2_Stream0_IRQn, 2);
}

static float pt1000_value;
static volatile int pt1000_value_status;

int main() {
	RCC->AHB1ENR |= RCC_AHB1ENR_GPIOBEN;
	__DSB();
	GPIOB->MODER = OUTPUT(2) | OUTPUT(3);
	GPIOB->ODR |= (1<<2);

	setup_nvic_priorities();
	systick_setup();

	//setup_dma(&adc_results, 3);
	adc_pt1000_setup_meas();

	while(1) {
		pt1000_value_status = adc_pt1000_get_current_resistance(&pt1000_value);
	}

}


